<?php
/**
 * PointReadonlyPropertiesTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\LogisticClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Logistic
 *
 * Управление логистикой
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\LogisticClient;

use PHPUnit\Framework\TestCase;

/**
 * PointReadonlyPropertiesTest Class Doc Comment
 *
 * @category    Class
 * @description PointReadonlyProperties
 * @package     Ensi\LogisticClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class PointReadonlyPropertiesTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "PointReadonlyProperties"
     */
    public function testPointReadonlyProperties()
    {
    }

    /**
     * Test attribute "id"
     */
    public function testPropertyId()
    {
    }

    /**
     * Test attribute "external_id"
     */
    public function testPropertyExternalId()
    {
    }

    /**
     * Test attribute "name"
     */
    public function testPropertyName()
    {
    }

    /**
     * Test attribute "description"
     */
    public function testPropertyDescription()
    {
    }

    /**
     * Test attribute "phone"
     */
    public function testPropertyPhone()
    {
    }

    /**
     * Test attribute "address_reduce"
     */
    public function testPropertyAddressReduce()
    {
    }

    /**
     * Test attribute "metro_station"
     */
    public function testPropertyMetroStation()
    {
    }

    /**
     * Test attribute "only_online_payment"
     */
    public function testPropertyOnlyOnlinePayment()
    {
    }

    /**
     * Test attribute "has_payment_card"
     */
    public function testPropertyHasPaymentCard()
    {
    }

    /**
     * Test attribute "has_courier"
     */
    public function testPropertyHasCourier()
    {
    }

    /**
     * Test attribute "is_postamat"
     */
    public function testPropertyIsPostamat()
    {
    }

    /**
     * Test attribute "max_value"
     */
    public function testPropertyMaxValue()
    {
    }

    /**
     * Test attribute "max_weight"
     */
    public function testPropertyMaxWeight()
    {
    }

    /**
     * Test attribute "created_at"
     */
    public function testPropertyCreatedAt()
    {
    }

    /**
     * Test attribute "updated_at"
     */
    public function testPropertyUpdatedAt()
    {
    }
}
